Package org.eclipse.emf.compare.provider.utils

# Enum Class IStyledString.Style.BorderStyle

java.lang.Object
java.lang.Enum<IStyledString.Style.BorderStyle>
org.eclipse.emf.compare.provider.utils.IStyledString.Style.BorderStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<IStyledString.Style.BorderStyle>`, `java.lang.constant.Constable`

Enclosing class:
  IStyledString.Style

public static enum IStyledString.Style.BorderStyle extends Enum<IStyledString.Style.BorderStyle>
The possible styles of the border. These are those supported by JFace 3.8. Other versions or other widgets toolkit may not support all of these or may support more than these.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DASH`
Dash thin border.
`DOT`
Dot thin border.
`NONE`
No border.
`SOLID`
Solid thin border.

## Method Summary

Modifier and Type
Method
Description
`static IStyledString.Style.BorderStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IStyledString.Style.BorderStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final IStyledString.Style.BorderStyle NONE
No border.

### SOLID

public static final IStyledString.Style.BorderStyle SOLID
Solid thin border.

### DOT

public static final IStyledString.Style.BorderStyle DOT
Dot thin border.

### DASH

public static final IStyledString.Style.BorderStyle DASH
Dash thin border.

## Method Details

### values

public static IStyledString.Style.BorderStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IStyledString.Style.BorderStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null